local matrix = import "lib/matrix.libsonnet";
local irc = import "lib/appservice-irc.libsonnet";
local telegram = import "lib/appservice-telegram.libsonnet";

matrix {
    local app = self,
    local cfg = app.cfg,
    cfg+:: {
        namespace: "matrix-0x3c",
        webDomain: "matrix.0x3c.pl",
        serverName: "0x3c.pl",
    },

    synapseConfig+:: {
        password_config: {
            enabled: true,
        },
    },

    riotConfig+:: {
        "brand": "Element - %s" % [cfg.serverName],
        "branding": {
            "welcomeBackgroundUrl": "https://media.0x3c.pl/file/0x3c-mastodon/0x3c-pixelsort.png"
        },
    },
}
